
Infrastructure - Task #7274

Feature # 6498 (Closed): V2 Metacat MN and CN Support

Make sure the CN utilities methods which change the system metadata only be allowed to CN

subjects 

2015-07-27 21:43 - Jing Tao

Status: Closed Start date: 2015-07-27

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

History

#1 - 2015-07-27 21:49 - Jing Tao

- Subject changed from Make sure the  to Make sure the CN utilities methods which change the system metadata only be allowed to CN subjects 

Those methods are:

CNCore.registerSystemMetadata()

CNCore,updateSystemMetadata()

CNReplication.setReplicationStatus()

CNReplication.updateReplicationMetadata()

CNReplication.deleteReplicationMetadata()

#2 - 2015-07-28 00:28 - Jing Tao

- % Done changed from 0 to 30

- Status changed from New to In Progress

The above rule has been implemented in those methods.

#3 - 2015-07-28 17:23 - Jing Tao

- Assignee set to Jing Tao

#4 - 2015-07-28 23:53 - Jing Tao

- Status changed from In Progress to Closed

- % Done changed from 30 to 100

- translation missing: en.field_remaining_hours set to 0.0

The code was added in the CNodeService method.

#5 - 2015-07-30 21:08 - Jing Tao

- Status changed from Closed to In Progress

- % Done changed from 100 to 30
- Estimated time set to 0.00

We found that CNReplication.setReplicationStatus() should be called by both CNs and MNs. So i reopen this bug. 

Also we need to update the documentation as well.

#6 - 2015-07-31 00:47 - Jing Tao

CNReplication.setReplicationStatus() can be called by both CNs and MNs now.

#7 - 2015-07-31 17:43 - Jing Tao

API documentation was updated.

#8 - 2015-08-15 00:00 - Jing Tao

- Status changed from In Progress to Closed

- % Done changed from 30 to 100

It passed Andrei's test.
